Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.jaas.spi
Class PropertyFileLoginModule

    java.lang.Object
      org.mortbay.jetty.plus.jaas.spi.AbstractLoginModule
          org.mortbay.jetty.plus.jaas.spi.PropertyFileLoginModule

All Implemented Interfaces:
  LoginModule

    public class PropertyFileLoginModule

extends AbstractLoginModule

PropertyFileLoginModule

Nested Class Summary

Nested classes/interfaces inherited from class org.mortbay.jetty.plus.jaas.spi.AbstractLoginModule
`AbstractLoginModule.JAASUserInfo`

Field Summary
`static String` | `DEFAULT_FILENAME`
`static Map` | `fileMap`

Constructor Summary
`PropertyFileLoginModule()`

Method Summary
`UserInfo` | `getUserInfo(String username)` Don't implement this as we want to pre-fetch all of the users.
`void` | `initialize(Subject subject, CallbackHandler callbackHandler, Map sharedState, Map options)` Read contents of the configured property file.
`void` | `loadProperties(String filename)`

Methods inherited from class org.mortbay.jetty.plus.jaas.spi.AbstractLoginModule
`abort, commit, configureCallbacks, getCallbackHandler, getCurrentUser, getSubject, isAuthenticated, isCommitted, login, logout, setAuthenticated, setCallbackHandler, setCommitted, setCurrentUser, setSubject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_FILENAME

    public static final String DEFAULT_FILENAME

See Also:
  Constant Field Values

### fileMap

    public static final Map fileMap

Constructor Detail

### PropertyFileLoginModule

    public PropertyFileLoginModule()

Method Detail

### initialize

    public void initialize(Subject subject,
                           CallbackHandler callbackHandler,
                           Map sharedState,
                           Map options)

  Read contents of the configured property file.

  Specified by:
    `initialize` in interface `LoginModule`
  Overrides:
    `initialize` in class `AbstractLoginModule`
  Parameters:
    `subject` -
    `callbackHandler` -
    `sharedState` -
    `options` -
  See Also:
    `LoginModule.initialize(javax.security.auth.Subject, javax.security.auth.callback.CallbackHandler, java.util.Map, java.util.Map)`

### loadProperties

    public void loadProperties(String filename)

### getUserInfo

    public UserInfo getUserInfo(String username)
                         throws Exception

  Don't implement this as we want to pre-fetch all of the users.

  Specified by:
    `getUserInfo` in class `AbstractLoginModule`
  Parameters:
    `username` -
  Throws:
    `Exception`
  See Also:
    `org.mortbay.jetty.plus.jaas.spi.AbstractLoginModule#lazyLoadUser(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.